TrackFixedSegment(3)

NAME
TrackFixedSegment - Track elements for fixed wires.

SYNOPSIS

Inherits TrackElement.

  Public Member Functions
virtual bool isHorizontal () const
virtual bool isVertical () const
virtual bool isFixed () const
virtual unsigned long getId () const
virtual unsigned int getDirection () const
virtual Net * getNet () const
virtual const Layer * getLayer () const
virtual TrackElement * getNext () const
virtual TrackElement * getPrevious () const
virtual DbU::Unit getAxis () const
virtual Interval getFreeInterval () const

  Static Public Member Functions
static TrackElement * create (Kite::Track *track, Segment *segment)

Detailed Description

Track elements for fixed wires. A TrackFixedSegment is a segment that cannot be moved from the track. It can be associated to a true blockage Segment (recognised by the fact that their owner net is the blockage net), or to a segment from an ordinary net but which is locked into position. In the latter case, the owned net may reuse this portion of the track if it needs it.

In all cases, the blockage ratio of the GCells underneath the segment are updated.

Member Function Documentation

  TrackSegment * create (Kite::Track * track, Segment * segment) [static]

Parameters:
    segment The Hurricane Segment (blockage) to take into account.
    track A Track into which insert the TrackFixedSegment.

Returns:
    A TrackFixedSegment wrapped around a blockage Segment.

Public constructor to insert blockage inside a Track.

  bool isHorizontal () const [virtual]
See also: Katabatic::AutoSegment::isHorizontal().

Implements TrackElement.

  bool isVertical () const [virtual]
See also: Katabatic::AutoSegment::isVertical().

Implements TrackElement.

  bool isFixed () const [virtual]
See also: Katabatic::AutoSegment::isFixed().

Reimplemented from TrackElement.

  unsigned long getId () const [virtual]

Returns:
    The Id of the supporting AutoSegment, if there is any. Zero otherwise.

Reimplemented from TrackElement.

  unsigned int getDirection () const [virtual]

Returns:
    The direction of the supporting element (should match the preferred direction of the Track).

Implements TrackElement.

  Net * getNet () const [virtual]
Returns: The Net associated to the element (may be NULL).

Implements TrackElement.

Referenced by TrackFixedSegment::getNext(), and TrackFixedSegment::getPrevious().

  const Layer * getLayer () const [virtual]
Returns: The Layer of the element (should match the one of the Track).

Implements TrackElement.

  TrackElement * getNext () const [virtual]
Returns: The next TrackElement, on the same track and of a different net. See also: Track::getNext().

Reimplemented from TrackElement.

  TrackElement * getPrevious () const [virtual]
Returns: The previous TrackElement, on the same track and of a different net. See also: Track::getPrevious().

Reimplemented from TrackElement.

  DbU::Unit getAxis () const [virtual]
Returns: The axis position of the element (must be the same as the Track).

Implements TrackElement.

  Interval getFreeInterval () const [virtual]
Returns: The greatest free interval enclosing this element.

Reimplemented from TrackElement.

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.